/*
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.0 (the "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 * 
 * The Original Code is the roamd Version 0.1 code,
 * released on or about December 4, 1998.
 * 
 * The Initial Developer of the Original Code is John Richard Stracke,
 * Jr.  Portions created by John Richard Stracke, Jr. are Copyright (C)
 * John Richard Stracke, Jr. All Rights Reserved. 
 * 
 * Contributor(s): ______________________________________. 
 */
#ifndef _ROAMD_CRYPT_H_
#define _ROAMD_CRYPT_H_

#include "ident.h"
IDENTIFY(ROAMD_CRYPT_H,"$Id: crypt.h,v 1.2 1998/12/13 06:24:46 francis Exp $")

/*
 * #includes the right header for crypt().
 *
 * Note that, on some platforms (e.g., Linux), this header should be included
 *  first, because some system headers will prevent the _XOPEN_SOURCE from
 *  working if they come before <unistd.h>.
 *
 * $Revision: 1.2 $
 * $Author: francis $
 * $Date: 1998/12/13 06:24:46 $
 *
 * $Log: crypt.h,v $
 * Revision 1.2  1998/12/13 06:24:46  francis
 * Fixing the ident line in crypt.h
 *
 * Revision 1.1  1998/12/13 06:19:56  francis
 * Adding rudimentary platform awareness to the Makefile.
 * Creating crypt.h, where the platform-appropriate header file for crypt()
 * is #included.
 * Note that the platform awareness breaks non-gmake support.  I need to do
 * something about that.
 *
 */

#ifdef PLATFORM_Solaris
#include <crypt.h>
#else
/* Note: these two lines have to come first, or else <unistd.h> won't
 *  pick up crypt().
 */
#define _XOPEN_SOURCE
#include <unistd.h>
#endif

#endif /*_ROAMD_CRYPT_H_*/
