/*
 * The contents of this file are subject to the Mozilla Public License 
 * Version 1.0 (the "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, 
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
 * for the specific language governing rights and limitations under the License. 
 * 
 * The Original Code is the roamd Version 0.1 code,
 * released on or about December 4, 1998.
 * 
 * The Initial Developer of the Original Code is John Richard Stracke,
 * Jr.  Portions created by John Richard Stracke, Jr. are Copyright (C)
 * John Richard Stracke, Jr. All Rights Reserved. 
 * 
 * Contributor(s): ______________________________________. 
 */
#ifndef _ROAMD_PASSWD_H_
#define _ROAMD_PASSWD_H_

#include "ident.h"
IDENTIFY(ROAMD_PASSWD_H,"$Id: passwd.h,v 1.5 1998/12/06 20:02:21 francis Exp $")

/*
 * Declares functions for performing passwd-based authentication.
 *
 * $Revision: 1.5 $
 * $Author: francis $
 * $Date: 1998/12/06 20:02:21 $
 *
 * $Log: passwd.h,v $
 * Revision 1.5  1998/12/06 20:02:21  francis
 * Adding ident lines
 *
 * Revision 1.4  1998/12/04 22:03:20  francis
 * Adding license terms to the source files.
 * Adding tryCrypt and tryCrypt.o to the clean target.
 * Deleting tryCrypt from the repository.
 * Adding Index.html and license.html.  Linking to license.html from
 * readme.html.  A bit of cosmetic work in readme.html.
 *
 * Revision 1.3  1998/12/04 20:50:12  francis
 * Fixing password authentication to make sure that the username in the
 * credentials is the owner of the requested file.
 *
 * Revision 1.2  1998/12/04 20:01:03  francis
 * Adding documentation headers and comments
 *
 */

/* Returns an authentication realm for the user.  Currently hard-coded
 *  to return "roamd".
 */
const char* getRealm(const char* user);

/* Returns 1 if the credentials are acceptable, 0 if not, -1 on error.
 *  If user is non-NULL, then only that user has permission.
 */
int authorize(const char* user,
              const char* credential);

/* Returns 1 if the credentials are acceptable, 0 if not, -1 on error */
int authorizeBasic(const char* user,
                   const char* pwd);

#endif /*_ROAMD_PASSWD_H_*/
